# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
%define fedora 19
Name:           scythia
Version:        0.9.3
Release:        alt1_10
Summary:        Just a small ftp client
Summary(pl):    Mały klient ftp
Group:          Networking/WWW
License:        GPLv3+
URL:            http://%{name}.free.fr/
Source0:        http://%{name}.free.fr/wp-content/%{name}_%{version}-2-src.tar.gz
Source1:        %{name}.desktop
BuildRequires:  qt4-devel >= 4.6.2
BuildRequires:  desktop-file-utils
Requires:       icon-theme-hicolor
Source44: import.info

%description
Scythia project is an simple and portable Ftp client. It does not claim to be
able to replace the biggest (no SSH etc.), but only to satisfy some persons
and to give us a bigger experience in programming.

%description -l pl
Scythia projekt to prosty i przenośny Ftp klient. Nie zapowiada się żeby był
w stanie zastąpić największe (brak ssh itp.) ale tylko daje satysfakcje osobom
i daje duże doświadczenie w programowaniu.

%prep
%setup -q -n %{name}
chmod a-x AUTHORS COPYING

%build
qmake-qt4 scythia.pro
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/scythia.desktop
rm $RPM_BUILD_ROOT%{_docdir}/scythia/html/aide_8h-source.html

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor="fedora"               \
%endif
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%files
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_docdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt1_10
- initial fc import

